Page MenuHomePhabricator

Vagrant has Xdebug no longer enabled, preventing debugging and code coverage generation
Closed, ResolvedPublic

Description

For funsies, I decided to switch to rMWVA3488e5b190a8: Switch Vagrant to PHP 7.2 to see PHP 7.2 in action. Attempting to run a code coverage report results in the message
Error: No code coverage driver is available.
http://dev.wiki.local.wmftest.net:8080/info.php doesn't list Xdebug anymore.

Adding @MaxSem and @bd808, as they are listed as authors of the patch.

Event Timeline

Mainframe98 added a comment.EditedDec 15 2018, 6:50 PM

And to add insult to injury, reverting back to the most recent commit before rMWVA3488e5 breaks vagrant entirely, requiring a combo of vagrant destroy && vagrant up to get a working environment.

bd808 added a comment.Dec 19 2018, 1:24 AM

We missed the installation of the php-xdebug package via the ::php::remote_debug manifest which is included by the ::php manifest. There is no php-xdebug package in our thirdparty/php72 repo, so we will need to get it backported there or to the MediaWiki-Vagrant specific apt repo if it is not desired in the shared repo for some reason.

Tgr added a subscriber: Tgr.Jan 2 2019, 6:09 AM
kostajh added a subscriber: kostajh.Jan 4 2019, 2:44 PM
bd808 closed this task as Resolved.Jan 10 2019, 7:06 PM
bd808 claimed this task.

The package added via T212757: Please import php-xdebug to apt.wm.o thirdparty/php72 is now available and is provisioned for new MediaWiki-Vagrant deployments. Existing deployments can be upgraded manually with apt-get:

$ vagrant ssh
$ sudo apt-get update
$ sudo apt-get dist-upgrade
bd808 reassigned this task from bd808 to Joe.Jan 10 2019, 7:06 PM
Ejegg added a subscriber: Ejegg.Apr 25 2019, 3:32 AM

bd808, looks like apt.wm.o's thirdparty/php72 isn't enabled by default. I had to add that by hand. Any reason not to enable it by default, to get xdebug as part of standard issue mw-vagrant again?

bd808 added a comment.Apr 25 2019, 3:38 AM

bd808, looks like apt.wm.o's thirdparty/php72 isn't enabled by default. I had to add that by hand. Any reason not to enable it by default, to get xdebug as part of standard issue mw-vagrant again?

We followed production's move from thirdparty/php72 to T216712: Switch PHP 7.2 packages to an internal component. Let's keep discussion of the new and improved missing xdebug package on T220406: Add mediawiki-vagrant php7.2 xdebug support.